package com.vocsy.calculation.world.electricitycalculator;

import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.res.Configuration;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Bundle;
import android.view.View;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;

import androidx.appcompat.app.AlertDialog;
import androidx.appcompat.app.AppCompatActivity;

import com.google.android.gms.common.internal.ImagesContract;
import com.google.firebase.database.DataSnapshot;
import com.google.firebase.database.DatabaseError;
import com.google.firebase.database.DatabaseReference;
import com.google.firebase.database.FirebaseDatabase;
import com.google.firebase.database.ValueEventListener;
import com.google.firebase.storage.FirebaseStorage;
import com.google.firebase.storage.StorageReference;


import java.util.Locale;

import vocsy.ads.CustomAdsListener;
import vocsy.ads.GoogleAds;


public class Home extends AppCompatActivity {
    public static String fuel_rate = "";
    RelativeLayout a1_card;
    RelativeLayout bill_card;
    RelativeLayout charges;
    DatabaseReference databaseReference;
    RelativeLayout dpc_card;
    FirebaseDatabase firebaseDatabase;
    FirebaseStorage firebaseStorage;
    RelativeLayout lang_card;
    TextView language;
    TextView qouts;
    StorageReference storageReference;
    private Intent fb = new Intent();
    private Intent insta = new Intent();
    String imagename = "1";
    String url = "";
    String openin = "chrome";
    String pakage = "";

    @Override
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        loadLocale();
        setContentView(R.layout.activity_home);


        SystemConfiguration.setTransparentStatusBar(this, SystemConfiguration.IconColor.ICON_DARK);
        GoogleAds.getInstance().addNativeView(this, (LinearLayout) findViewById(R.id.nativeLay));
        FirebaseDatabase instance = FirebaseDatabase.getInstance();
        this.firebaseDatabase = instance;
        this.databaseReference = instance.getReference();
        FirebaseStorage instance2 = FirebaseStorage.getInstance();
        this.firebaseStorage = instance2;
        this.storageReference = instance2.getReference();
        getImageData();
        this.bill_card = findViewById(R.id.bill_card);
        this.a1_card = findViewById(R.id.a1_card);
        this.charges = findViewById(R.id.charges_card);
        this.dpc_card = findViewById(R.id.dpc_card);
        this.lang_card = findViewById(R.id.lang_card);
        if (isOnline()) {
            getImageData();
        } else {
            fuel_rate = getSharedPreferences("Fuel_rate", 0).getString("rate", getString(R.string.fuel));
            new Fuel_Rate().setFuel_rate(fuel_rate);
        }
        this.bill_card.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                Home.this.startActivity(new Intent(Home.this, Bill_Categories.class));

            }
        });
        this.a1_card.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                Home.this.startActivity(new Intent(Home.this, A1_Bill_Cal.class));

            }
        });
        this.charges.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                Home.this.startActivity(new Intent(Home.this, Know_Bill_Charge.class));

            }
        });
        this.dpc_card.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                Home.this.startActivity(new Intent(Home.this, DPC_Cal.class));

            }
        });
        this.lang_card.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Home.this.showChangeLangDialog();
            }
        });
    }

    private void getImageData() {
        this.databaseReference.addValueEventListener(new ValueEventListener() {
            @Override
            public void onCancelled(DatabaseError databaseError) {
            }

            @Override
            public void onDataChange(DataSnapshot dataSnapshot) {
                Home.fuel_rate = dataSnapshot.child("fuel").getValue().toString();
                new Fuel_Rate().setFuel_rate(Home.fuel_rate);
                SharedPreferences.Editor edit = Home.this.getSharedPreferences("Fuel_rate", 0).edit();
                edit.putString("rate", Home.fuel_rate);
                edit.apply();
                Home.this.imagename = (String) dataSnapshot.child("adsbanner").getValue(String.class);
                Home.this.url = (String) dataSnapshot.child(ImagesContract.URL).getValue(String.class);
                Home.this.openin = (String) dataSnapshot.child("openin").getValue(String.class);
                Home.this.pakage = (String) dataSnapshot.child("pakage").getValue(String.class);
            }
        });
    }

    public boolean isOnline() {
        NetworkInfo activeNetworkInfo = ((ConnectivityManager) getApplicationContext().getSystemService(Context.CONNECTIVITY_SERVICE)).getActiveNetworkInfo();
        return activeNetworkInfo != null && activeNetworkInfo.isConnected() && activeNetworkInfo.isAvailable();
    }

    public void showChangeLangDialog() {
        AlertDialog.Builder builder = new AlertDialog.Builder(this);
        builder.setTitle("Choose Language");
        builder.setSingleChoiceItems(new String[]{"English", "ગુજરાતી"}, -1, new DialogInterface.OnClickListener() {
            @Override
            public void onClick(DialogInterface dialogInterface, int i) {
                GoogleAds.getInstance().showCounterInterstitialAd(Home.this, new CustomAdsListener() {
                    @Override
                    public void onFinish() {
                        if (i == 0) {
                            Home.this.setLocale("en");
                            Home.this.recreate();
                        } else if (i == 1) {
                            Home.this.setLocale("gu");
                            Home.this.recreate();
                        }
                    }
                });

                dialogInterface.dismiss();
            }

        });
        builder.create().show();
    }

    public void setLocale(String str) {
        Locale locale = new Locale(str);
        Locale.setDefault(locale);
        Configuration configuration = new Configuration();
        configuration.locale = locale;
        getBaseContext().getResources().updateConfiguration(configuration, getResources().getDisplayMetrics());
        SharedPreferences.Editor edit = getSharedPreferences("Language", 0).edit();
        edit.putString("lang", str);
        edit.apply();
    }

    private void loadLocale() {
        setLocale(getSharedPreferences("Language", 0).getString("lang", "en"));
    }

    @Override
    public void onBackPressed() {
        super.onBackPressed();

        finish();

    }
}