package com.vocsy.calculation.world.electricitycalculator;

import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.os.Handler;
import android.widget.ImageView;

import androidx.appcompat.app.AppCompatActivity;

import com.bumptech.glide.Glide;

import java.util.Locale;

import vocsy.ads.AdsHandler;
import vocsy.ads.GetSmartAdmob;


public class Splash extends AppCompatActivity {
    public static String fuel_rate = "";

    @Override
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        loadLocale();
        setContentView(R.layout.activity_splash);

        SystemConfiguration.setTransparentStatusBar(this, SystemConfiguration.IconColor.ICON_DARK);
        setData();

        ImageView gifView;
        gifView = findViewById(R.id.gifView);
        Glide.with(this).asGif().load(R.drawable.gif).into(gifView);

        String[] adsUrls = new String[]{getString(R.string.bnr_admob)// 1st Banner Ads Id
                , getString(R.string.native_admob)// 2st Native Ads Id
                , getString(R.string.int_admob)// 3st interstitial Ads Id
                , getString(R.string.app_open_admob)// 4st App-Open Ads Id
                , getString(R.string.video_admob)// 5st Rewarded Ads Id
        };


        new GetSmartAdmob(this, adsUrls, (success) -> {
            // admob init Success
        }).execute();

        AdsHandler.setAdsOn(true);

        new Handler().postDelayed(new Runnable() {
            @Override
            public void run() {
                startActivity(new Intent(Splash.this, GetStart.class));
            }
        }, 2500);


    }

    private void setData() {
        fuel_rate = getSharedPreferences("Fuel_rate", 0).getString("rate", getString(R.string.fuel));
        new Fuel_Rate().setFuel_rate(fuel_rate);
    }

    private void setLocale(String str) {
        Locale locale = new Locale(str);
        Locale.setDefault(locale);
        Configuration configuration = new Configuration();
        configuration.locale = locale;
        getBaseContext().getResources().updateConfiguration(configuration, getResources().getDisplayMetrics());
    }

    private void loadLocale() {
        setLocale(getSharedPreferences("Language", 0).getString("lang", "en"));
    }
}